<div class="contentRightB">
    <div class="contentFull left filler-bottom-end-p">
        <div class="content-holder">
            <h3>{{ "General.Menu.Rankings" | translate }}</h3>

            <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
                <div class="rankingsView filler-bottom-dd">
                    <ul class="dd">
                        <li>
                            <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select type" nzShowSearch
                                [nzCustomTemplate]="custom2" [(ngModel)]="selectedTypeId"
                                (ngModelChange)="selectType($event)">
                                <nz-option *ngFor="let item of types" nzCustomContent nzLabel="{{item.name}}"
                                    [nzValue]="item.id">
                                    <img src="{{item.icon}}" style="width: 15px; height: 15px;" /> {{item.name}}
                                </nz-option>
                            </nz-select>
                            <ng-template #custom2>
                                <span><img src="{{selectedType?.icon}}"
                                        style="width: 15px; height: 15px; margin-right: 5px;" />{{selectedType?.name}}</span>
                            </ng-template>
                        </li>
                        <li *ngIf="selectedTypeId != 4">
                            <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
                                [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId"
                                (ngModelChange)="selectCountry($event)">
                                <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}"
                                    [nzValue]="item.id">
                                    <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
                            </nz-select>
                            <ng-template #custom>
                                <span><img src="{{hostUrl}}/{{selectedCountry?.flagLocation[0]}}" />
                                    {{selectedCountry?.name}}</span>
                            </ng-template>
                        </li>

                    </ul>

                </div>
                <div class="rankingsView" *ngIf="selectedTypeId > 0 && selectedCountryId > 0 || selectedTypeId == 4">
                    <table *ngIf="selectedType.entityType == 1" class="rankingsTab1 tableColor smaller">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th></th>
                                <th *ngIf="selectedType.subType == 0">Experience</th>
                                <th *ngIf="selectedType.subType == 1">Rank Points</th>
                                <th *ngIf="selectedType.subType == 2">Medal Count</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of list">
                                <td>{{item.id}}</td>
                                <td>
                                    <a href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}" target="_blank"><img
                                            src="{{hostUrl}}/{{item.entity.avatarLocation}}"></a>
                                </td>
                                <td>
                                    <a target="_blank"
                                        href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><strong>{{item.entity.name}}</strong></a>
                                </td>
                                <td>
                                    <!-- @if (Model.SearchValues[2] == 1) {<img src="{{hostUrl}}/assets/img/ico/rank/@(vPopulus.Services.Entities.Citizens.CitizenStatsService.GetMilitaryRank(item.Score).Item1).png" height="54" width="54">}-->
                                    {{ item.score }}
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <table class="rankingsTab1 tableColor smaller" *ngIf="selectedType.entityType == 4">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th></th>
                                <th>Members</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of list">
                                <td>{{item.id}}</td>
                                <td>
                                    <a target="_blank" href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><img
                                            src="{{hostUrl}}/{{item.entity.avatarLocation}}"></a>
                                </td>
                                <td>
                                    <a target="_blank"
                                        href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><strong>{{item.entity.name}}</strong></a>
                                </td>
                                <td>
                                    {{ item.score }}
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <table class="rankingsTab1 tableColor smaller" *ngIf="selectedType.entityType == 8">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th></th>
                                <th>Subscribers</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of list">
                                <td>{{item.id}}</td>
                                <td>
                                    <a target="_blank" href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><img
                                            src="{{hostUrl}}/{{item.entity.avatarLocation}}"></a>
                                </td>
                                <td>
                                    <a target="_blank"
                                        href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><strong>{{item.entity.name}}</strong></a>
                                </td>
                                <td>
                                    {{ item.score }}
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <table class="rankingsTab1 tableColor smaller" *ngIf="selectedType.entityType == 3">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th></th>
                                <th *ngIf="selectedType.subType == 0">Members</th>
                                <th *ngIf="selectedType.subType == 1">Total Damage</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of list">
                                <td>{{item.id}}</td>
                                <td>
                                    <a target="_blank" href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><img
                                            src="{{hostUrl}}/{{item.entity.avatarLocation}}"></a>
                                </td>
                                <td>
                                    <a target="_blank"
                                        href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><strong>{{item.entity.name}}</strong></a>
                                </td>
                                <td>
                                    {{ item.score }}
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <table class="rankingsTab2 tableColor smaller" *ngIf="selectedType.entityType == 5">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Country</th>
                                <th></th>
                                <th>{{ "World.Country.Citizens" | translate }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of list">
                                <td>{{item.id}}</td>
                                <td>
                                    <a target="_blank" href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><img
                                            src="{{hostUrl}}/{{item.entity.avatarLocation}}"></a>
                                </td>
                                <td>
                                    <a target="_blank"
                                        href="{{hostUrl}}/{{item.entity.entityTypeName}}/{{item.entity.entityId}}"><strong>{{item.entity.name}}</strong></a>
                                </td>
                                <td>
                                    {{ item.score }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </nz-spin>
        </div>
    </div>

</div>
<div class="clear"></div>